server:
  port: ${PORT:0}
  servlet:
    context-path: /api

spring:
  kafka:
    bootstrap-servers: ${KAFKA_HOST:localhost}:${KAFKA_PORT:9092}
    topics:
      logs: ${TOPIC:default}
  datasource:
    url: jdbc:postgresql://${DB_HOST:localhost}:${DB_PORT:5432}/${DB_DATABASE:postgres}
    driverClassName: org.postgresql.Driver
    username: ${POSTGRES_USER:postgres}
    password: ${POSTGRES_PASSWORD:12345}
  jpa:
    hibernate:
      ddl-auto: update

  jooq:
    sql-dialect: org.postgresql.Driver


eureka:
  client:
    serviceUrl:
      defaultZone: ${EUREKA_URI:http://localhost:8761/eureka}
  instance:
    prefer-ip-address: true